clang 8.0.0

Public Member Functions | List of all members
clang::ento::CallEventRef< T > Class Template Reference

`#include "clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h"`

Inheritance diagram for clang::ento::CallEventRef< T >:
[legend]
Collaboration diagram for clang::ento::CallEventRef< T >:
[legend]

## Public Member Functions
| CallEventRef (const T *Call)
| CallEventRef (const CallEventRef &Orig)
CallEventRef< T > | cloneWithState (ProgramStateRef State) const
template<typename SuperT >
| operator CallEventRef< SuperT > () const

## Detailed Description

### template<typename T = CallEvent>
class clang::ento::CallEventRef< T >

Definition at line 110 of file CallEvent.h.

## Constructor & Destructor Documentation

## ◆ CallEventRef() [1/2]

template<typename T = CallEvent>

clang::ento::CallEventRef< T >::CallEventRef | ( | const T * | Call | ) |
| inline

Definition at line 112 of file CallEvent.h.

## ◆ CallEventRef() [2/2]

template<typename T = CallEvent>

clang::ento::CallEventRef< T >::CallEventRef | ( | const CallEventRef< T > & | Orig | ) |
| inline

Definition at line 113 of file CallEvent.h.

## Member Function Documentation

## ◆ cloneWithState()

template<typename T = CallEvent>

CallEventRef<T> clang::ento::CallEventRef< T >::cloneWithState | ( | ProgramStateRef | State | ) | const
| inline

Definition at line 115 of file CallEvent.h.

Referenced by clang::ento::ExprEngine::processCallExit(), and clang::ento::ExprEngine::VisitObjCMessage().

## ◆ operator CallEventRef< SuperT >()

template<typename T = CallEvent>
template<typename SuperT >

clang::ento::CallEventRef< T >::operator CallEventRef< SuperT > | ( |  | ) | const
| inline

Definition at line 122 of file CallEvent.h.

The documentation for this class was generated from the following file:

- include/clang/StaticAnalyzer/Core/PathSensitive/CallEvent.h